Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jms.listener
Interface SubscriptionNameProvider

All Known Implementing Classes:
  MessageListenerAdapter, MessageListenerAdapter102

    public interface SubscriptionNameProvider

Interface to be implemented by message listener objects that suggest a specific name for a durable subscription that they might be registered with. Otherwise the listener class name will be used as a default subscription name.

Applies to `MessageListener` objects as well as to `SessionAwareMessageListener` objects and plain listener methods (as supported by `MessageListenerAdapter`.

Since:
  2.5.6
Author:
  Juergen Hoeller

Method Summary
`String` | `getSubscriptionName()` Determine the subscription name for this message listener object.

Method Detail

### getSubscriptionName

    String getSubscriptionName()

  Determine the subscription name for this message listener object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD